<template>
  
  <div class="bg-primary w-full fixed bottom-0 z-[22]">
    <ul class="flex items-center justify-between px-8 py-4">
      <li>
        <nuxt-link to="/" @click="handleClickMenu">
          <img
            class="h-[5vw]"
            :src="
              getAssetImage(
                'assets/theme/black_modern_1/images/navbar/home.png'
              )
            "
          />
        </nuxt-link>
      </li>
      <li>
        <nuxt-link
          :to="auth ? '/transaction-history' : '/login'"
          @click="handleClickMenu"
        >
          <img
            class="h-[5vw]"
            :src="
              getAssetImage(
                'assets/theme/black_modern_1/images/navbar/wallet.png'
              )
            "
          />
        </nuxt-link>
      </li>
      <li v-if="!auth">
        <span
          class="bg-background2 rounded-full p-3 absolute left-1/2 transform -translate-x-1/2 -top-2.5"
        >
          <nuxt-link to="/agent-cooperation" @click="handleClickMenu">
            <img
              class="h-[10vw] bg-primary rounded-full p-2.5"
              :src="
                getAssetImage(
                  'assets/theme/black_modern_1/images/navbar/agent.png'
                )
              "
            />
          </nuxt-link>
        </span>
      </li>
      <li v-if="auth && isCashPlayer && isShowDepositWithdrawal">
        <span
          class="bg-background2 rounded-full p-3 absolute left-1/2 transform -translate-x-1/2 -top-2.5"
        >
          <nuxt-link to="/deposit" @click="handleClickMenu">
            <img
              class="h-[10vw] bg-primary rounded-full p-2.5"
              :src="
                getAssetImage(
                  'assets/theme/black_modern_1/images/navbar/deposit.png'
                )
              "
            />
          </nuxt-link>
        </span>
      </li>
      <li v-if="!auth && isAllowPromotionTab">
        <nuxt-link to="/promotion" @click="handleClickMenu">
          <img
            class="h-[5vw]"
            :src="
              getAssetImage(
                'assets/theme/black_modern_1/images/navbar/promotion-b.png'
              )
            "
          />
        </nuxt-link>
      </li>
      <li v-if="auth">
        <nuxt-link to="/profile" @click="handleClickMenu">
          <img
            class="h-5 w-[22px]"
            :src="
              getAssetImage(
                'assets/theme/black_modern_1/images/navbar/account.png'
              )
            "
          />
        </nuxt-link>
      </li>
      <li>
        <div @click="drawer = !drawer">
          <font-awesome-icon icon="bars" size="xl" />
        </div>
      </li>
    </ul>
  </div>
  <Drawer v-model:showDrawer="drawer" />
</template>

<script lang="ts">
import Drawer from "./drawer.client.vue";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  name: "MFooterFunction1",
  components: { Drawer },
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
  },
  setup(_) {
    const route = useRoute();
    const { name } = toRefs(route);
    const isHome = computed(() => {
      return name.value === "HomeInitial";
    });
    const onNavigateToPage = (url: string) => {
      if (_.auth) {
        window.open(url, "_blank");
      } else {
        navigateTo("/login");
      }
    };
    const { getAssetImage } = commonHelper;
    const { isShowDepositWithdrawal, isCashPlayer, isAllowPromotionTab } = useHeaderComponent();
    const drawer = ref(false);
    const handleClickMenu = () => {
      drawer.value = false;
    };
    return {
      name,
      isHome,
      onNavigateToPage,
      getAssetImage,
      drawer,
      handleClickMenu,
      isShowDepositWithdrawal,
      isCashPlayer,
      isAllowPromotionTab,
    };
  },
});
</script>
<style lang="scss">
.footer-items.nuxt-link-active {
  animation-duration: 300ms;
  animation-name: animation-pop-up;
  color: var(--active-text-color1);
  .inactive-footer-item-image {
    display: none !important;
  }
  .active-footer-item-image {
    display: block !important;
  }
}

@keyframes animation-pop-up {
  0% {
    transform: scale(10%);
  }
  50% {
    transform: scale(120%);
  }
  100% {
    transform: scale(100%);
  }
}
</style>
